summaryrefslogtreecommitdiff
path: root/tests/chown
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chown')
-rwxr-xr-xtests/chown/basic4
-rwxr-xr-xtests/chown/deref2
-rwxr-xr-xtests/chown/preserve-root2
3 files changed, 4 insertions, 4 deletions
diff --git a/tests/chown/basic b/tests/chown/basic
index 102f17c79..8df8399af 100755
--- a/tests/chown/basic
+++ b/tests/chown/basic
@@ -31,12 +31,12 @@ set _ `ls -n f`; shift; test "$3:$4" = 0:1 || fail=1
# Note we output a name even though an id was specified.
chown -v --from=42 43 f > out || fail=1
printf "ownership of \`f' retained as `id -nu`\n" > exp
-compare out exp || fail=1
+compare exp out || fail=1
# Ensure diagnostics work for non existent files.
chown -v 0 nf > out && fail=1
printf "failed to change ownership of \`nf' to 0\n" > exp
-compare out exp || fail=1
+compare exp out || fail=1
chown --from=0:1 2:010 f || fail=1
diff --git a/tests/chown/deref b/tests/chown/deref
index c228bde80..02175ff70 100755
--- a/tests/chown/deref
+++ b/tests/chown/deref
@@ -33,6 +33,6 @@ cat <<\EOF > exp || fail=1
chown: cannot dereference `dangle'
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail
diff --git a/tests/chown/preserve-root b/tests/chown/preserve-root
index 072cc831a..3ee304914 100755
--- a/tests/chown/preserve-root
+++ b/tests/chown/preserve-root
@@ -61,6 +61,6 @@ chgrp: it is dangerous to operate recursively on `d/slink-to-root' (same as `/')
chgrp: use --no-preserve-root to override this failsafe
EOF
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail